<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html >
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<h:head>
    <meta charset="UTF-8"/>
    <title>KiKaTou - Location de matériel et services</title>
    <link rel="icon" type="image/png" href="../img/logo.png" />
    <link href="../resources/css/accueil.css" rel="stylesheet"/>
    <script src="../resources/js/accueil.js" type="text/javascript"></script>
</h:head>

<h:body>
    <!--Haut de page-->
    <div id="header">
        <b:navBar brand-img="../img/logo.png" brand="KiKaTou" brandHref="/AppWeb/faces/accueil.xhtml"
                  styleClass="header" fluid="true" position="top" sticky="true"
                  brand-style="position:relative;width: auto; height:60px;padding:0;margin:0;"
                  brand-img-style="width: auto;height: 50px;position: relative;">
            <b:navbarLinks>
                <ui:repeat var="cat" value="#{mbCategorie.allCategories}">
                    <b:navLink value="#{cat.nom}"
                               href="/AppWeb/faces/categorie/affichageSousCat.xhtml?id=#{cat.id}"></b:navLink>
                </ui:repeat>
                <b:navLink value="PRESTATIONS"
                           href="/AppWeb/faces/Prestataires/affichageTypePrestation.xhtml">
                </b:navLink>
            </b:navbarLinks>

            <b:form styleClass="navbar-form navbar-right">
                <b:dropButton look="primary" value="Bonjour #{mblogin.user.prenom}"
                              rendered="#{mblogin.isConnected==1?true:false}">
                    <b:navLink value="Mon Compte" href="/AppWeb/faces/client/monCompte.xhtml"></b:navLink>
                    <b:navLink value="Mes Evénements"
                               href="/AppWeb/faces/event/HistoriqueEvent.xhtml"></b:navLink>
                    <b:navLink value="Créer un événement" rendered="#{mblogin.event!=null?false:true}"
                               href="/AppWeb/faces/test/ajoutEventTest.xhtml"></b:navLink>
                    <b:navCommandLink value="Déconnexion" action="#{mblogin.deconnection()}">
                        <i class="fa fa-fw fa-power-off"></i>
                    </b:navCommandLink>
                </b:dropButton>
                <b:commandButton value="Identifiez-vous" icon-awesome="fa-child"
                                 look="success" icon="chevron-right" iconAlign="right"
                                 rendered="#{mblogin.isConnected==1?false:true}"
                                 action="#{mblogin.pageconnexion()}"/>
            </b:form>
            <b:form inline="true" id="connexionFormMaster" styleClass="navbar-right"
                    rendered="#{mblogin.isConnected==1?true:false}">
                <b:commandLink icon-size="2x" iconAwesome="shopping-cart" look="link"
                               href="/AppWeb/faces/commande/affichageCommande.xhtml"
                               value="#{mbcommande.quantiteTotalArticle} article(s)"/>
            </b:form>
            <b:form inline="true" id="eventUtilisateur" styleClass="navbar-right"
                    rendered="#{mblogin.event!=null?true:false}">
                <b:commandLink icon-size="2x" iconAwesome="calendar" look="link"
                               href="/AppWeb/faces/test/modifierEvent.xhtml"
                               value="#{mbEvent.getDureeEvent()} j"/>
            </b:form>
        </b:navBar>
    </div>
    <div class="container" style="min-height: 100vh;padding-bottom: 80px;padding-top: 85px;">
        <b:container fluid="true" col-md="12">
            <ui:insert name="content"/>
        </b:container>
    </div>
    <div id="footer">
        <!-- Site Footer -->
        <b:navBar brand="&#169;Copyright KiKaTou"
                  fluid="true" styleClass="footerColors brandFooter">
            <b:form id="footerFormMaster"
                    class="footerColors navbar-form navbar-center" fluid="true">
                <b:navbarLinks class="footerColors">
                    <b:navLink class="footerColors" value="A propos" href="#"/>
                    <b:navLink class="footerColors" value="Contact" href="#"/>
                    <b:navLink class="footerColors" value="Conditions d'utilisation"
                               href="#"/>
                    <b:navLink class="footerColors" value="Aide" href="#"/>
                </b:navbarLinks>
            </b:form>
            <b:form id="reseauxSociauxForm"
                    class="footerColors navbar-form navbar-right hidden-md hidden-sm hidden-xs"
                    fluid="true">
                <b:navbarLinks class="footerColors">
                    <b:navLink class="footerColors" iconAwesome="facebook-official"
                               href="#" icon-size="2x"/>
                    <b:navLink class="footerColors" iconAwesome="google-plus" href="#"
                               icon-size="2x"/>
                    <b:navLink class="footerColors" iconAwesome="twitter" href="#"
                               icon-size="2x"/>
                    <b:navLink class="footerColors" iconAwesome="youtube" href="#"
                               icon-size="2x"/>
                </b:navbarLinks>
            </b:form>
        </b:navBar>
    </div>
</h:body>
</html>